## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/webhook-subscriptions

### cURL

```bash
GET https://api-sandbox.dwolla.com/webhook-subscriptions
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
```

### Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
```javascript
dwolla.get("webhook-subscriptions").then((res) => res.body.total); // => 1
```

### Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
```python
webhook_subscriptions = app_token.get('webhook-subscriptions')
webhook_subscriptions.body['total'] # => 1
```

### Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
```php
$webhookApi = new DwollaSwagger\WebhooksubscriptionsApi($apiClient);

$retrieved = $webhookApi->_list();
$retrieved->total; # => 1
```

### Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
```ruby
webhook_subscriptions = app_token.get "webhook-subscriptions"
webhook_subscriptions.total # => 1
```

### Responses

- **200**

- **403**

- **404**

```json
{
  "_links": {
    "self": {
      "href": "https://api.dwolla.com/webhook-subscriptions"
    }
  },
  "_embedded": {
    "webhook-subscriptions": [
      {
        "_links": {
          "self": {
            "href": "https://api.dwolla.com/webhook-subscriptions/077dfffb-4852-412f-96b6-0fe668066589"
          },
          "webhooks": {
            "href": "https://api.dwolla.com/webhook-subscriptions/077dfffb-4852-412f-96b6-0fe668066589/webhooks"
          }
        },
        "id": "077dfffb-4852-412f-96b6-0fe668066589",
        "url": "http://myapplication.com/webhooks",
        "paused": true,
        "created": "2022-10-28T16:20:47+00:00"
      }
    ]
  },
  "total": 1
}
```

```json
{
  "code": "Forbidden",
  "message": "The supplied credentials are not authorized for this resource."
}
```

```json
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}
```

#### Authorizations

**Authorization**

- string
- header
- required

The access token received from the authorization server in the OAuth 2.0 flow.

#### Headers

**Accept**

- enum<string>
- default:application/vnd.dwolla.v1.hal+json
- required

The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:

- `application/vnd.dwolla.v1.hal+json`

#### Response

- **200**
- **application/vnd.dwolla.v1.hal+json**
- successful operation

```json
{
  "code": "Forbidden",
  "message": "The supplied credentials are not authorized for this resource."
}
```

```json
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}
```
